---
title: BaseAudioContext.currentTime
slug: Web/API/BaseAudioContext/currentTime
tags:
  - API
  - AudioContext
  - BaseAudioContext
  - Property
  - Reference
  - Web Audio API
  - currentTime
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p><span class="seoSummary">The <code>currentTime</code> read-only property of the {{ domxref("BaseAudioContext") }} interface returns a double representing an ever-increasing hardware timestamp in seconds that can be used for scheduling audio playback, visualizing timelines, etc. It starts at 0.</span></p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>curTime</em> = <em>baseAudioContext</em>.currentTime;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight[8]">var AudioContext = window.AudioContext || window.webkitAudioContext;
var audioCtx = new AudioContext();
// Older webkit/blink browsers require a prefix

...

console.log(audioCtx.currentTime);
</pre>

<h2 id="Reduced_time_precision">Reduced time precision</h2>

<p>To offer protection against timing attacks and fingerprinting, the precision of <code>audioCtx.currentTime</code> might get rounded depending on browser settings.<br>
 In Firefox, the <code>privacy.reduceTimerPrecision</code>  preference is enabled by default and defaults to 20us in Firefox 59; in 60 it will be 2ms.</p>

<pre class="brush: js">// reduced time precision (2ms) in Firefox 60
audioCtx.currentTime;
// 23.404
// 24.192
// 25.514
// ...

// reduced time precision with `privacy.resistFingerprinting` enabled
audioCtx.currentTime;
// 49.8
// 50.6
// 51.7
// ...
</pre>

<p>In Firefox, you can also enabled <code>privacy.resistFingerprinting</code>, the precision will be 100ms or the value of <code>privacy.resistFingerprinting.reduceTimerPrecision.microseconds</code>, whichever is larger.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-baseaudiocontext-currenttime', 'currentTime')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.BaseAudioContext.currentTime")}}</p>
</div>
</div>

<h2 id="See_also">See also:</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using Web Audio API</a></li>
</ul>
